VERIFIER(1)

NAME
rdd-verify - verifies checksums and hash values generated by rdd-copy(1)

SYNOPSIS
rdd-verify [OPTION] file1 ...

DESCRIPTION

Rdd-verify verifies checksums and hash values generated by rdd-copy(1). Rdd stores checksums (Adler32 or CRC32) in files. These files must be passed to rdd-verify for verification.

Hash values (MD5 or SHA1) computed by rdd-copy(1) must be passed to rdd-verify on the command line as hexadecimal strings.

Rdd-verify reads all input files (file1, ...) and recomputes the checksums and hash values that the user wishes to verify. The verification will very likely fail if the concatenation of the input files is different from the source that was copied by rdd-copy(1).

OUTPUT
All verification errors are reported on stderr.

OPTIONS

-?, --help
    Print a usage message.

-V, --version
    Report version number and exit.

-v, --verbose
    Be verbose (more messages).

-v, --verbose
    Be verbose (more messages).

--checksum, --adler32 file
    Verify the Adler32 checksums stored in file.

--crc, --crc32 file
    Verify the CRC32 checksums stored in file.

--md5, --md5 digest
    Recompute the MD5 hash value. It should be equal to digest.

--sha, --sha1 digest
    Recompute the SHA1 hash value. It should be equal to digest.

A digest argument is a hexadecimal string. Leading zeroes may not be omitted.

EXAMPLES

rdd-verify --md5 0123456789abcdef0123456789abcdef disk.img

    Compute the MD5 hash value over disk.img and verify whether it equals 0123456789abcdef0123456789abcdef.

rdd-verify --adler32 checksums.a32 disk.img

    Compute the adler32 checksums over disk.img and compare each checksum to the corresponding checksum in checksums.a32.

SEE ALSO

rdd-copy(1)

REPORTING BUGS
Report bugs to <rdd@holmes.nl>.

ACKNOWLEDGEMENTS
Many thanks to all who reported bugs and successes, and who suggested improvements. You know who you are.

COPYRIGHT
Copyright © 2002-2003 Netherlands Forensic Institute
This software comes with NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.